[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'DBCtrls' (#lcl)

# TDBCheckBox.DataChange

Updates the control display value when the linked dataset is changed.

## Declaration

Source position: dbctrls.pp line 675

`protected procedure TDBCheckBox.DataChange(`
`Sender: TObject`
`);`

## Arguments

`Sender` |  | Object for the event notification.

## Description

DataChange is used to perform actions needed when the linked dataset for the control has been changed. In TDBCheckBox, this requires setting the State property for the control. DataChange calls the GetFieldCheckState method to get the value for the State property.

DataChange is assigned in the constructor as the OnDataChange event handler in the internal TFieldDataLink instance for the control. It is temporarily unassigned (when used) prior to calling GetFieldCheckState, and reassigned prior to exit.

## See also

TDBCheckBox.GetFieldCheckState |  | GetFieldCheckState - returns the check box state for the current field.
TDBCheckBox.State |  | The check, unchecked, or grayed state for the control.
TFieldDataLink.OnDataChange |  | Event handler signalled when the field data link has been changed.